<template>
    <div class="summary-sheets">
        <div :class='["iconBtn",summaryVisible ? "active" : ""]' @click="closeBtn"><span><img src="@assets/images/map-pages/icon/toolbox/table.png" alt="" width="26px" style="display: block;margin: auto"><span class="icon-name">统计表</span></span></div>
        <Dialog ref="summarySheets" title="企业指标分类统计">
          <tab-handover></tab-handover>
        </Dialog >
    </div>
</template>

<script>
import tabHandover from '@components/table/components/tabHandover'
import Dialog from '@views/popup/Dialog'
export default {
  name: 'summary-sheet.vue',
  components: {
    tabHandover,
    Dialog
  },
  data () {
    return {
      summaryVisible: false
    }
  },
  methods: {
    closeBtn () {
      // const summary = document.getElementById('summary')
      // summary.style.display = 'none'
      this.$refs.summarySheets.show()
    }
  }
}
</script>

<style scoped lang="less">
    .summary-sheets {
        position: absolute;
        top: 70px;
        left: 1px;
        /*width: 850px;*/
        /*height: 265px;*/
        z-index:500;
        /*color: #fff;*/
       .el-icon-c-scale-to-original {
         width: 30px;
         height: 30px;
         font-size: 30px;
       }
        .iconBtn {
            width:45px;
            text-align: center;
            background: rgba(0, 16, 30, 0.5);
            cursor: pointer;
            color: #00fff6;
            border: 0.00521rem solid #00fff6;
            box-shadow: 0 0 0.03rem #00fff6;
        }
        .active {
            border: 0.00521rem solid #fff700;
            box-shadow: 0 0 0.03rem #fff700;
        }
    }
</style>
